package com.zd.alg.smartlock.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.alg.smartlock.domain.SlOpendoorApply;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author: liujh
 * @Date: 2022/09/06/15:01
 * @Description:
 */
public class SlOpendoorApplyVo extends SlOpendoorApply {

    @ApiModelProperty(value = "是否安全负责人")
    private Boolean safe;

    @ApiModelProperty(value = "审批人集合")
    private String examineName;

    @ApiModelProperty(value = "授权人集合")
    private String authName;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "失效时间")
    private Date loseTime;

    public Boolean getSafe() {
        return safe;
    }

    public void setSafe(Boolean safe) {
        this.safe = safe;
    }

    public String getExamineName() {        return examineName;    }

    public void setExamineName(String examineName) {        this.examineName = examineName;    }


    public String getStartTime() {        return startTime;    }

    public void setStartTime(String startTime) {        this.startTime = startTime;    }

    public String getEndTime() {        return endTime;    }

    public void setEndTime(String endTime) {        this.endTime = endTime;    }

    public Date getLoseTime() {        return loseTime;    }

    public void setLoseTime(Date loseTime) {        this.loseTime = loseTime;    }

    public String getAuthName() {
        return authName;
    }

    public void setAuthName(String authName) {
        this.authName = authName;
    }
}
